%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Cache

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	The Cache package provides the 'Cache' module.
Name:		perl-%{perlname}
Version:	2.04
Release:	3
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Cache
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl-Digest-SHA1
BuildRequires:	perl-TimeDate
BuildRequires:	perl-Heap
BuildRequires:	perl-File-NFSLock
BuildRequires:	perl-IO-String

%description
The Cache modules are designed to assist a developer in persisting data for a
specified period of time.  Often these modules are used in web applications to
store data locally to save repeated and redundant expensive calls to remote
machines or databases.
The Cache package provides the 'Cache' module, a generic interface for
creating persistent data stores.  The interface is implemented by the
Cache::Memory and Cache::File modules.
For more details see: http://search.cpan.org/search?module=%{perlname}

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.04-3
- Rebuild against perl 5.10.0
* Sun May 14 2006 Christian Wasem <wasem@ccux-linux.de> 2.04-2
- Rebuild against perl-5.8.8
* Sun Feb 12 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.04-1
- Initial Release
